#ifndef MAIN_H_
#define MAIN_H_

// constants
#define F_CPU 18432000ul
#define USART_BAUD 9600ul
#define USART_UBRR_VALUE ((F_CPU/(USART_BAUD<<4))-1)
#define SERBUFSIZE 1024ul		// must be a 2^n number
#define RESET   0b00100000		// Reset for the Z180
#define WE		0b01000000		// Write Enable for the RAM
#define OE		0b10000000		// Output Enable for the RAM
#define ALLPINSOUT	0b11111111	// entire Atmel port to Output
#define ALLPINSIN	0b00000000	// entire Atmel port to Input

// libraries

#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <stdio.h>

// function prototypes
void initUART(void);
void initPorts(void);
void uart_putChar(uint8_t c);
uint8_t uart_getChar(void);

#endif	// MAIN_H_
